# Channels

Channel and search management

## POST /api/v1/channels/create

>

```json
{"openapi":"3.1.0","info":{"title":"Rules Service API","version":"1.0.0"},"tags":[{"name":"Channels","description":"Channel and search management"}],"servers":[{"url":"https://rules.app.gomboc.ai/"}],"paths":{"/api/v1/channels/create":{"post":{"operationId":"PostApiV1ChannelsCreate","tags":["Channels"],"requestBody":{"description":"POST /api/v1/channels/create Request body","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostApiV1ChannelsCreateRequestBody"}}},"required":true},"responses":{"200":{"description":"POST /api/v1/channels/create Positive response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostApiV1ChannelsCreatePositiveResponse"}}}},"400":{"description":"POST /api/v1/channels/create Negative response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostApiV1ChannelsCreateNegativeResponse"}}}}}}}},"components":{"schemas":{"PostApiV1ChannelsCreateRequestBody":{"type":"object","properties":{"name":{"type":"string"},"query":{"type":"string"},"filters":{"type":"array","items":{"type":"string"}},"annotations":{"type":"object","propertyNames":{"type":"string"},"additionalProperties":{}}},"required":["name"]},"PostApiV1ChannelsCreatePositiveResponse":{"type":"object","properties":{"status":{"type":"string","const":"success"},"data":{"type":"object","properties":{"accountId":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$"},"name":{"type":"string"},"query":{"type":"string"},"filters":{"type":"array","items":{"type":"string"}},"annotations":{"type":"object","propertyNames":{"type":"string"},"additionalProperties":{}},"id":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$"},"createdAt":{},"updatedAt":{}},"required":["accountId","name","filters","id","createdAt","updatedAt"],"additionalProperties":false}},"required":["status","data"],"additionalProperties":false},"PostApiV1ChannelsCreateNegativeResponse":{"type":"object","properties":{"status":{"type":"string","const":"error"},"error":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}},"required":["status","error"],"additionalProperties":false}}}}
```

## GET /api/v1/channels/get

>

```json
{"openapi":"3.1.0","info":{"title":"Rules Service API","version":"1.0.0"},"tags":[{"name":"Channels","description":"Channel and search management"}],"servers":[{"url":"https://rules.app.gomboc.ai/"}],"paths":{"/api/v1/channels/get":{"get":{"operationId":"GetApiV1ChannelsGet","tags":["Channels"],"parameters":[{"name":"name","in":"query","required":false,"description":"GET /api/v1/channels/get Parameter","schema":{"$ref":"#/components/schemas/GetApiV1ChannelsGetParameterName"}}],"responses":{"200":{"description":"GET /api/v1/channels/get Positive response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetApiV1ChannelsGetPositiveResponse"}}}},"400":{"description":"GET /api/v1/channels/get Negative response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetApiV1ChannelsGetNegativeResponse"}}}}}}}},"components":{"schemas":{"GetApiV1ChannelsGetParameterName":{"type":"string"},"GetApiV1ChannelsGetPositiveResponse":{"type":"object","properties":{"status":{"type":"string","const":"success"},"data":{"type":"object","properties":{"accountId":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$"},"name":{"type":"string"},"query":{"type":"string"},"filters":{"type":"array","items":{"type":"string"}},"annotations":{"type":"object","propertyNames":{"type":"string"},"additionalProperties":{}},"id":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$"},"createdAt":{},"updatedAt":{}},"required":["accountId","name","filters","id","createdAt","updatedAt"],"additionalProperties":false}},"required":["status","data"],"additionalProperties":false},"GetApiV1ChannelsGetNegativeResponse":{"type":"object","properties":{"status":{"type":"string","const":"error"},"error":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}},"required":["status","error"],"additionalProperties":false}}}}
```

## POST /api/v1/channels/batch/create

>

```json
{"openapi":"3.1.0","info":{"title":"Rules Service API","version":"1.0.0"},"tags":[{"name":"Channels","description":"Channel and search management"}],"servers":[{"url":"https://rules.app.gomboc.ai/"}],"paths":{"/api/v1/channels/batch/create":{"post":{"operationId":"PostApiV1ChannelsBatchCreate","tags":["Channels"],"requestBody":{"description":"POST /api/v1/channels/batch/create Request body","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostApiV1ChannelsBatchCreateRequestBody"}}},"required":true},"responses":{"200":{"description":"POST /api/v1/channels/batch/create Positive response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostApiV1ChannelsBatchCreatePositiveResponse"}}}},"400":{"description":"POST /api/v1/channels/batch/create Negative response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostApiV1ChannelsBatchCreateNegativeResponse"}}}}}}}},"components":{"schemas":{"PostApiV1ChannelsBatchCreateRequestBody":{"type":"object","properties":{"channels":{"maxItems":200,"type":"array","items":{"type":"object","properties":{"name":{"type":"string"},"query":{"type":"string"},"filters":{"type":"array","items":{"type":"string"}},"annotations":{"type":"object","propertyNames":{"type":"string"},"additionalProperties":{}}},"required":["name"]}},"onConflict":{"default":"error","type":"string","enum":["error","skip"]}},"required":["channels"]},"PostApiV1ChannelsBatchCreatePositiveResponse":{"type":"object","properties":{"status":{"type":"string","const":"success"},"data":{"type":"object","properties":{"results":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string"},"status":{"type":"string","enum":["created","skipped","error"]},"channel":{"type":"object","properties":{"accountId":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$"},"name":{"type":"string"},"query":{"type":"string"},"filters":{"type":"array","items":{"type":"string"}},"annotations":{"type":"object","propertyNames":{"type":"string"},"additionalProperties":{}},"id":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$"},"createdAt":{},"updatedAt":{}},"required":["accountId","name","filters","id","createdAt","updatedAt"],"additionalProperties":false},"error":{"type":"string"}},"required":["name","status"],"additionalProperties":false}}},"required":["results"],"additionalProperties":false}},"required":["status","data"],"additionalProperties":false},"PostApiV1ChannelsBatchCreateNegativeResponse":{"type":"object","properties":{"status":{"type":"string","const":"error"},"error":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}},"required":["status","error"],"additionalProperties":false}}}}
```

## POST /api/v1/channels/batch/upsert

>

```json
{"openapi":"3.1.0","info":{"title":"Rules Service API","version":"1.0.0"},"tags":[{"name":"Channels","description":"Channel and search management"}],"servers":[{"url":"https://rules.app.gomboc.ai/"}],"paths":{"/api/v1/channels/batch/upsert":{"post":{"operationId":"PostApiV1ChannelsBatchUpsert","tags":["Channels"],"requestBody":{"description":"POST /api/v1/channels/batch/upsert Request body","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostApiV1ChannelsBatchUpsertRequestBody"}}},"required":true},"responses":{"200":{"description":"POST /api/v1/channels/batch/upsert Positive response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostApiV1ChannelsBatchUpsertPositiveResponse"}}}},"400":{"description":"POST /api/v1/channels/batch/upsert Negative response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostApiV1ChannelsBatchUpsertNegativeResponse"}}}}}}}},"components":{"schemas":{"PostApiV1ChannelsBatchUpsertRequestBody":{"type":"object","properties":{"channels":{"maxItems":200,"type":"array","items":{"type":"object","properties":{"query":{"type":"string"},"filters":{"type":"array","items":{"type":"string"}},"annotations":{"type":"object","propertyNames":{"type":"string"},"additionalProperties":{}},"name":{"type":"string"}},"required":["name"]}}},"required":["channels"]},"PostApiV1ChannelsBatchUpsertPositiveResponse":{"type":"object","properties":{"status":{"type":"string","const":"success"},"data":{"type":"object","properties":{"results":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string"},"status":{"type":"string","enum":["created","updated","error"]},"channel":{"type":"object","properties":{"accountId":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$"},"name":{"type":"string"},"query":{"type":"string"},"filters":{"type":"array","items":{"type":"string"}},"annotations":{"type":"object","propertyNames":{"type":"string"},"additionalProperties":{}},"id":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$"},"createdAt":{},"updatedAt":{}},"required":["accountId","name","filters","id","createdAt","updatedAt"],"additionalProperties":false},"error":{"type":"string"}},"required":["name","status"],"additionalProperties":false}}},"required":["results"],"additionalProperties":false}},"required":["status","data"],"additionalProperties":false},"PostApiV1ChannelsBatchUpsertNegativeResponse":{"type":"object","properties":{"status":{"type":"string","const":"error"},"error":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}},"required":["status","error"],"additionalProperties":false}}}}
```

## PUT /api/v1/channels/update

>

```json
{"openapi":"3.1.0","info":{"title":"Rules Service API","version":"1.0.0"},"tags":[{"name":"Channels","description":"Channel and search management"}],"servers":[{"url":"https://rules.app.gomboc.ai/"}],"paths":{"/api/v1/channels/update":{"put":{"operationId":"PutApiV1ChannelsUpdate","tags":["Channels"],"requestBody":{"description":"PUT /api/v1/channels/update Request body","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PutApiV1ChannelsUpdateRequestBody"}}},"required":true},"responses":{"200":{"description":"PUT /api/v1/channels/update Positive response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PutApiV1ChannelsUpdatePositiveResponse"}}}},"400":{"description":"PUT /api/v1/channels/update Negative response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PutApiV1ChannelsUpdateNegativeResponse"}}}}}}}},"components":{"schemas":{"PutApiV1ChannelsUpdateRequestBody":{"type":"object","properties":{"query":{"type":"string"},"filters":{"type":"array","items":{"type":"string"}},"annotations":{"type":"object","propertyNames":{"type":"string"},"additionalProperties":{}},"name":{"type":"string"}},"required":["name"]},"PutApiV1ChannelsUpdatePositiveResponse":{"type":"object","properties":{"status":{"type":"string","const":"success"},"data":{"type":"object","properties":{"accountId":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$"},"name":{"type":"string"},"query":{"type":"string"},"filters":{"type":"array","items":{"type":"string"}},"annotations":{"type":"object","propertyNames":{"type":"string"},"additionalProperties":{}},"id":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$"},"createdAt":{},"updatedAt":{}},"required":["accountId","name","filters","id","createdAt","updatedAt"],"additionalProperties":false}},"required":["status","data"],"additionalProperties":false},"PutApiV1ChannelsUpdateNegativeResponse":{"type":"object","properties":{"status":{"type":"string","const":"error"},"error":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}},"required":["status","error"],"additionalProperties":false}}}}
```

## DELETE /api/v1/channels/delete

>

```json
{"openapi":"3.1.0","info":{"title":"Rules Service API","version":"1.0.0"},"tags":[{"name":"Channels","description":"Channel and search management"}],"servers":[{"url":"https://rules.app.gomboc.ai/"}],"paths":{"/api/v1/channels/delete":{"delete":{"operationId":"DeleteApiV1ChannelsDelete","tags":["Channels"],"parameters":[{"name":"name","in":"query","required":true,"description":"DELETE /api/v1/channels/delete Parameter","schema":{"$ref":"#/components/schemas/DeleteApiV1ChannelsDeleteParameterName"}}],"responses":{"200":{"description":"DELETE /api/v1/channels/delete Positive response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeleteApiV1ChannelsDeletePositiveResponse"}}}},"400":{"description":"DELETE /api/v1/channels/delete Negative response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeleteApiV1ChannelsDeleteNegativeResponse"}}}}}}}},"components":{"schemas":{"DeleteApiV1ChannelsDeleteParameterName":{"type":"string"},"DeleteApiV1ChannelsDeletePositiveResponse":{"type":"object","properties":{"status":{"type":"string","const":"success"},"data":{"type":"object","properties":{"success":{"type":"boolean"}},"required":["success"],"additionalProperties":false}},"required":["status","data"],"additionalProperties":false},"DeleteApiV1ChannelsDeleteNegativeResponse":{"type":"object","properties":{"status":{"type":"string","const":"error"},"error":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}},"required":["status","error"],"additionalProperties":false}}}}
```

## GET /api/v1/channels/rules

>

```json
{"openapi":"3.1.0","info":{"title":"Rules Service API","version":"1.0.0"},"tags":[{"name":"Channels","description":"Channel and search management"}],"servers":[{"url":"https://rules.app.gomboc.ai/"}],"paths":{"/api/v1/channels/rules":{"get":{"operationId":"GetApiV1ChannelsRules","tags":["Channels"],"parameters":[{"name":"name","in":"query","required":false,"description":"GET /api/v1/channels/rules Parameter","schema":{"$ref":"#/components/schemas/GetApiV1ChannelsRulesParameterName"}},{"name":"filters","in":"query","required":false,"description":"GET /api/v1/channels/rules Parameter","schema":{"$ref":"#/components/schemas/GetApiV1ChannelsRulesParameterFilters"}},{"name":"filters[]","in":"query","required":false,"description":"GET /api/v1/channels/rules Parameter","schema":{"$ref":"#/components/schemas/GetApiV1ChannelsRulesParameterFilters"}},{"name":"page","in":"query","required":false,"description":"GET /api/v1/channels/rules Parameter","schema":{"$ref":"#/components/schemas/GetApiV1ChannelsRulesParameterPage"}},{"name":"perPage","in":"query","required":false,"description":"GET /api/v1/channels/rules Parameter","schema":{"$ref":"#/components/schemas/GetApiV1ChannelsRulesParameterPerPage"}},{"name":"includeClassifications","in":"query","required":false,"description":"GET /api/v1/channels/rules Parameter","schema":{"$ref":"#/components/schemas/GetApiV1ChannelsRulesParameterIncludeClassifications"}}],"responses":{"200":{"description":"GET /api/v1/channels/rules Positive response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetApiV1ChannelsRulesPositiveResponse"}}}},"400":{"description":"GET /api/v1/channels/rules Negative response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetApiV1ChannelsRulesNegativeResponse"}}}}}}}},"components":{"schemas":{"GetApiV1ChannelsRulesParameterName":{"type":"string"},"GetApiV1ChannelsRulesParameterFilters":{"anyOf":[{"type":"string"},{"type":"array","items":{"type":"string"}}]},"GetApiV1ChannelsRulesParameterPage":{"default":1,"type":"number"},"GetApiV1ChannelsRulesParameterPerPage":{"default":20,"type":"number"},"GetApiV1ChannelsRulesParameterIncludeClassifications":{"default":1,"type":"number"},"GetApiV1ChannelsRulesPositiveResponse":{"type":"object","properties":{"status":{"type":"string","const":"success"},"data":{"type":"object","properties":{"rules":{"type":"array","items":{"type":"object","properties":{"accountId":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$"},"type":{"type":"string"},"version":{"type":"string"},"iacLanguage":{"type":"string"},"name":{"type":"string"},"shortName":{"type":["string","null"]},"revision":{"type":"number"},"revisions":{"type":"array","items":{"type":"number"}},"classificationPaths":{"type":"array","items":{"type":"array","items":{"type":"object","properties":{"accountId":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$"},"name":{"type":"string"},"shortName":{"type":["string","null"]}},"required":["accountId","name","shortName"],"additionalProperties":false}}},"annotations":{"type":"object","propertyNames":{"type":"string"},"additionalProperties":{}},"metadata":{"type":"object","propertyNames":{"type":"string"},"additionalProperties":{}},"body":{"type":"object","propertyNames":{"type":"string"},"additionalProperties":{}},"id":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$"},"createdAt":{},"updatedAt":{}},"required":["accountId","type","version","iacLanguage","name","shortName","revision","revisions","id","createdAt","updatedAt"],"additionalProperties":false}},"total":{"type":"number"},"page":{"type":"number"},"perPage":{"type":"number"}},"required":["rules","total","page","perPage"],"additionalProperties":false}},"required":["status","data"],"additionalProperties":false},"GetApiV1ChannelsRulesNegativeResponse":{"type":"object","properties":{"status":{"type":"string","const":"error"},"error":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}},"required":["status","error"],"additionalProperties":false}}}}
```

## GET /api/v1/channels/search

>

```json
{"openapi":"3.1.0","info":{"title":"Rules Service API","version":"1.0.0"},"tags":[{"name":"Channels","description":"Channel and search management"}],"servers":[{"url":"https://rules.app.gomboc.ai/"}],"paths":{"/api/v1/channels/search":{"get":{"operationId":"GetApiV1ChannelsSearch","tags":["Channels"],"parameters":[{"name":"page","in":"query","required":false,"description":"GET /api/v1/channels/search Parameter","schema":{"$ref":"#/components/schemas/GetApiV1ChannelsSearchParameterPage"}},{"name":"perPage","in":"query","required":false,"description":"GET /api/v1/channels/search Parameter","schema":{"$ref":"#/components/schemas/GetApiV1ChannelsSearchParameterPerPage"}},{"name":"query","in":"query","required":false,"description":"GET /api/v1/channels/search Parameter","schema":{"$ref":"#/components/schemas/GetApiV1ChannelsSearchParameterQuery"}}],"responses":{"200":{"description":"GET /api/v1/channels/search Positive response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetApiV1ChannelsSearchPositiveResponse"}}}},"400":{"description":"GET /api/v1/channels/search Negative response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetApiV1ChannelsSearchNegativeResponse"}}}}}}}},"components":{"schemas":{"GetApiV1ChannelsSearchParameterPage":{"default":1,"type":"number"},"GetApiV1ChannelsSearchParameterPerPage":{"default":20,"type":"number"},"GetApiV1ChannelsSearchParameterQuery":{"type":"string"},"GetApiV1ChannelsSearchPositiveResponse":{"type":"object","properties":{"status":{"type":"string","const":"success"},"data":{"type":"object","properties":{"channels":{"type":"array","items":{"type":"object","properties":{"accountId":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$"},"name":{"type":"string"},"query":{"type":"string"},"filters":{"type":"array","items":{"type":"string"}},"annotations":{"type":"object","propertyNames":{"type":"string"},"additionalProperties":{}},"id":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$"},"createdAt":{},"updatedAt":{}},"required":["accountId","name","filters","id","createdAt","updatedAt"],"additionalProperties":false}},"total":{"type":"number"},"page":{"type":"number"},"perPage":{"type":"number"}},"required":["channels","total","page","perPage"],"additionalProperties":false}},"required":["status","data"],"additionalProperties":false},"GetApiV1ChannelsSearchNegativeResponse":{"type":"object","properties":{"status":{"type":"string","const":"error"},"error":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}},"required":["status","error"],"additionalProperties":false}}}}
```
